using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc;
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Threading.Tasks;
using Telerik.Reporting.Services;
using Telerik.Reporting.Services.AspNetCore;

namespace MSWACS.AspNetCore3AngularReportViewer.Controllers
{
    [Route("api/[controller]")]
    public class ReportsController : ReportsControllerBase
    {
        public ReportsController(IReportServiceConfiguration reportServiceConfiguration) : base(reportServiceConfiguration)
        {
            // Testing Assembly Qualified Name
            string sample1 = typeof(ReportLibrary.SampleReport).AssemblyQualifiedName;
            Debug.WriteLine(sample1);

            string sample2 = typeof(ReportLibraryCore.SampleReport).AssemblyQualifiedName;
            Debug.WriteLine(sample2);

        }
    }
}
